Index: sandbox/2.5.0-expresso1/info.php
===================================================================
--- sandbox/2.5.0-expresso1/info.php	(revision 7146)
+++ sandbox/2.5.0-expresso1/info.php	(revision 7146)
@@ -0,0 +1,38 @@
+<?php
+$BALANCEID = '';
+if(isset($_COOKIE['BALANCEID'])) {
+    $BALANCEID = $_COOKIE['BALANCEID'];
+}
+echo "BALANCEID:$BALANCEID\n";
+
+$sessionid = '';
+if(isset($_COOKIE['sessionid'])) {
+    $sessionid = $_COOKIE['sessionid'];
+}
+echo "sessionid:$sessionid\n";
+
+$session_save_path = ini_get('session.save_path');
+$session_save_path = trim($session_save_path);
+$last_char = $session_save_path[strlen($session_save_path)-1];
+if(($last_char != '/') && ($last_char != '\\')) {
+    $session_save_path .= '/';
+}
+$session_file = $session_save_path . 'sess_' . $_COOKIE['sessionid'];
+echo "session_file:$session_file\n";
+
+$user_id = '';
+if(is_file($session_file)) {
+
+    $session_contents = file_get_contents($session_file);
+    $session_contents_array = explode('|', $session_contents);
+
+    for($k = 0; $k < count($session_contents_array); $k++) {
+        $ss = unserialize($session_contents_array[$k]);
+        if(($ss['session_lid']) && ($ss['session_id']) && ($ss['session_id'] == $_COOKIE['sessionid'])) {
+            $user_id = $ss['session_lid'];
+            break;
+        }
+    }
+}
+echo "user_id:$user_id\n";
+?>
Index: sandbox/2.5.0-expresso1/prototype/modules/mail/js/foldertree.js
===================================================================
--- sandbox/2.5.0-expresso1/prototype/modules/mail/js/foldertree.js	(revision 7091)
+++ sandbox/2.5.0-expresso1/prototype/modules/mail/js/foldertree.js	(revision 7146)
@@ -62,5 +62,34 @@
 	
 	var folders = DataLayer.get("folder", true);
-	
+    
+    if(preferences.use_local_messages==1 && !expresso_offline) { //MailArchive
+	    //pega pastas locais do mailarchiver e insere no array de pastas
+	    var local_folders = new Array();
+	    for (var i=0; i<expresso_mail_archive.folders.length; i++) {
+	        var local_folder = {
+	            id: 'local_messages_'+expresso_mail_archive.folders[i].id,
+	            commonName: expresso_mail_archive.folders[i].name,
+	            messageCount: {
+	                total: expresso_mail_archive.folders[i].messages,
+	                unseen: expresso_mail_archive.folders[i].unseen
+	            }
+	        };
+	        folders.push(local_folder);
+	    }
+	}
+
+    //var local_folders = { id: 'local_messages', commonName: 'Pasta Local', messageCount: {total:200, unseen:20} };
+    //var local_folders = expresso_mail_archive.folders;
+
+    //folders.push(local_folders);
+ //    folders[24] = new Array();
+	// folders[24].id = 'local_messages';
+ //    folders[24].commonName = 'Pasta Local';
+ //    //folders[20].parentFolder = 'root';
+ //    folders[24].messageCount = { total: 200, unseen: 20};
+
+ //    console.log(folders);
+ //    console.log(folders.length);
+
 	if(!selected){
 		selected = "INBOX";
Index: sandbox/2.5.0-expresso1/expressoMail1_2/index.php
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/index.php	(revision 7110)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/index.php	(revision 7146)
@@ -348,5 +348,42 @@
     // End Set Imap Folder names options
 	//User info
-	echo "<script language='javascript'> var account_id = ".$GLOBALS['phpgw_info']['user']['account_id'].";var expresso_offline = false;</script>";
+    echo "<script language='javascript'> var account_id = ".$GLOBALS['phpgw_info']['user']['account_id'].";var expresso_offline = false; var mail_archive_host = '127.0.0.1';</script>\n";
+        
+    //MAILARCHIVER-02
+    //todo: remover a linha abaixo e implementar a configuração
+    //$GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] = true;
+        if ( $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] == true ) {
+        $mail_archiver_host = '127.0.0.1';
+        //Check protocol in use (https or http)
+        if($_SERVER['HTTPS'] != 'on'){
+            $mail_archiver_protocol = "http";
+            $mail_archiver_port = "4333";
+        }
+        else{
+            $mail_archiver_protocol = "https";
+            $mail_archiver_port = "4334";
+        }
+    
+        //JS Variables (to add on jscripts variables, needed by dependence scripts following)
+        echo '<script type="text/javascript">var mail_archive_protocol="'.$mail_archiver_protocol.'"; var mail_archive_port="'.$mail_archiver_port.'";</script>';
+    
+        //CXF custom js files, from MailArchiver ArcServUtil JS files repository, intended to be running already: CORS support and custom TRANSPORT object
+        echo '<script type="text/javascript" src="'.$mail_archiver_protocol.'://'.$mail_archiver_host.':'.$mail_archiver_port.'/arcservutil/cxf-addon-xdr-adapter.js"></script>';
+        echo '<script type="text/javascript" src="'.$mail_archiver_protocol.'://'.$mail_archiver_host.':'.$mail_archiver_port.'/arcservutil/cxf-addon-cors-request-object.js"></script>';
+        echo '<script type="text/javascript" src="'.$mail_archiver_protocol.'://'.$mail_archiver_host.':'.$mail_archiver_port.'/arcservutil/cxf-addon-cors-utils.js"></script>';
+
+        //CXF UTILS MAIN FILE
+        echo '<script type="text/javascript" src="'.$mail_archiver_protocol.'://'.$mail_archiver_host.':'.$mail_archiver_port.'/arcserv/ArchiveServices?js&nojsutils"></script>';
+    
+        //QueryConfig add on
+        echo '<script src="js/MAQueryConfig.js?'.$update_version.'"></script>';        
+        //Expresso serialized format add on
+        echo '<script src="js/MAExpressoPattern.js?'.$update_version.'"></script>';        
+    
+        //echo $obj -> getFilesJs("js/mail_archiver.js," . $GLOBALS['phpgw_info']['flags']['update_version']);
+        echo '<script src="js/mail_archiver.js?'.$update_version.'"></script>';
+    
+    }
+	//echo "<script language='javascript'> var account_id = ".$GLOBALS['phpgw_info']['user']['account_id'].";var expresso_offline = false;</script>";
 
 	$obj = createobject("expressoMail1_2.functions");
Index: sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.user.inc.php
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.user.inc.php	(revision 5509)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.user.inc.php	(revision 7146)
@@ -50,5 +50,28 @@
 			return $_SESSION['phpgw_info']['expressomail']['user']['email'];	
 		}
-		
+
+        //MailArchiver login validate operations
+        function get_mailarchiver_authid(){
+            if((isset($_COOKIE["BALANCEID"])) && ($_COOKIE["BALANCEID"] != null) && ($_COOKIE["BALANCEID"] != " "))
+                $cookie_balancer = $_COOKIE["BALANCEID"];
+            else
+                $cookie_balancer = "";
+            if((isset($_COOKIE["sessionid"])) && ($_COOKIE["sessionid"] != null) && ($_COOKIE["sessionid"] != " "))
+                $cookie_session = $_COOKIE["sessionid"];
+            else
+                $cookie_session = "";
+            if(isset($_SESSION['phpgw_info']['expressomail']['user']['userid']) && ($_SESSION['phpgw_info']['expressomail']['user']['userid'] != null) && ($_SESSION['phpgw_info']['expressomail']['user']['userid'] != " "))
+                $cookie_user = $_SESSION['phpgw_info']['expressomail']['user']['userid'];
+            else
+                $cookie_user = "";
+            
+            if(isset($_SESSION['phpgw_info']['expressomail']['user']['passwd']) && ($_SESSION['phpgw_info']['expressomail']['user']['passwd'] != null) && ($_SESSION['phpgw_info']['expressomail']['user']['passwd'] != " "))
+                $cookie_pass = $_SESSION['phpgw_info']['expressomail']['user']['passwd'];
+            else
+                $cookie_pass = "";
+            
+            return(array($cookie_balancer, $cookie_session, $cookie_user, $cookie_pass));                    
+        }
+
 	}
 ?>
